package models

import (
	"eta_gn/eta_index_lib/global"
)

type EdbConfig struct {
	ConfigValue string `description:"详情"`
}

// EdbConfigUpdate 修改配置
func EdbConfigUpdate(newValue, configCode string) (err error) {

	sql := `UPDATE edb_config SET  config_value=?   WHERE config_code=  ?`
	err = global.DEFAULT_DmSQL.Exec(sql, newValue, configCode).Error
	return
}

// GetConfigDetailByCode 根据配置编码获取配置的值
func GetConfigDetailByCode(configCode string) (item *EdbConfig, err error) {

	sql := ` SELECT config_value FROM edb_config WHERE config_code=? `
	err = global.DEFAULT_DmSQL.Raw(sql, configCode).First(&item).Error
	return
}
